Subject: Re: Italeri X-32 JSF Demonstrator
From: "Steve Bamford" <[email-masked]>
To: "Clarence Wentzel" <[email-masked]>
Date: Fri, 15 Mar 2002 11:31:24 -0800

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Clarence Wentzel 
  To: Steve Bamford 
  Sent: Thursday, February 28, 2002 5:00 PM
  Subject: Italeri X-32 JSF Demonstrator

  Hi Steve,
   
  I am attaching an article on the Italeri X-32 JSF entry.  I don't think that it has been done here.  I will attach some photos of my finished model.  If you wish to use it, please feel free.
   
  Regards,
  Clarence
  Visit Clare's Corner at http://www.geocities.com/cewentzel/